Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add a "Dart: Add Dependency" command #3474

Merged
merged 5 commits into from Jul 19, 2021
Merged

Add a "Dart: Add Dependency" command #3474

merged 5 commits into from Jul 19, 2021

Conversation

DanTup
Copy link
Member

@DanTup DanTup commented Jul 14, 2021

  • tests

Possible future improvements:

  • quick-fix on missing package URIs? (if we can distinguish from those that are just errors in the filename part)
  • improve error if trying to add Flutter package to a Dart project
  • show (and cache) package descriptions as you move through them
  • improve adding Flutter package to non-Flutter project (if Flutter SDK available)

Fixes #3306.

@DanTup DanTup added is enhancement in commands Relates to commands (usually invoked from the command Palette) labels Jul 14, 2021
@DanTup DanTup added this to the v3.25.0 milestone Jul 14, 2021
@DanTup DanTup merged commit 53f9513 into master Jul 19, 2021
@DanTup DanTup deleted the pub-add branch July 19, 2021 11:28
@ghost
Copy link

ghost commented Aug 4, 2021

hola, esta excelente, estaremos conectados para aprender y emprender

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
in commands Relates to commands (usually invoked from the command Palette) is enhancement
Projects
None yet
Development

Successfully merging this pull request may close these issues.

Add a command to "add package" that calls "pub add"
1 participant